<div class="container">
    <div class="row">
        <div class="col-md-3 ">
            <div class="list-group ">
                <a href="/profile" class="list-group-item list-group-item-action">Profile</a>
                <a href="/orders" class="list-group-item list-group-item-action active">Porosite e Mia</a>
                <a href="/allusers" class="list-group-item list-group-item-action" *ngIf="cuser.role==1">Te gjithe Perdoruesit</a>
                <a href="/myproducts" class="list-group-item list-group-item-action" *ngIf="cuser.role==1">Produktet e mia</a>
                <a href="/logout" class="list-group-item list-group-item-action">Logout</a>
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Porosite e mia</h4>
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="well">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Information</th>
                                        <th>Total</th>
                                        <th style="width: 36px;"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let item of orders | paginate: { itemsPerPage: 12, currentPage: p }">
                                        <td>{{item.dateF}}</td>
                                        <td>{{item.information}}</td>
                                        <td>{{item.total}}</td>
                                        <td>
                                            <button (click)="open(showOrder, item.id, 'show')"><i
                                                    class="icon-pencil"></i>Show</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <pagination-controls (pageChange)="p = $event"></pagination-controls>

                        <ng-template #showOrder let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Show Order</h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Emri</div>
                                            <div class="col-9" id="showModalInfoFname"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Mbiemri</div>
                                            <div class="col-9" id="showModalInfoLname"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Email</div>
                                            <div class="col-9" id="showModalInfoEmail"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Telefon</div>
                                            <div class="col-9" id="showModalInfoMobile"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-3 text-end">Adresa</div>
                                            <div class="col-9" id="showModalInfoAddress"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>Foto</th>
                                                        <th>Name</th>
                                                        <th>Sasia</th>
                                                        <th>Cmimi</th>
                                                        <th style="width: 36px;"></th>
                                                    </tr>
                                                </thead>
                                                <tbody id="productBody">
                                                    <tr>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                        <td><a href=""></a></td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
                            </div>
                        </ng-template>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>